# Created by pyp2rpm-1.0.1
%global pypi_name QSTK
%global with_python3 1
%define version 0.2.8

Name:           python-qstk
Version:        %{version}
Release:        %mkrel 6
Group:          Development/Python
Summary:        QuantSoftware Toolkit
URL:            http://wiki.quantsoftware.org
License:        BSD
Source0:        https://pypi.python.org/packages/source/Q/QSTK/QSTK-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python-devel
BuildRequires:  python-setuptools
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # if with_python3

%description
QuantSoftware Toolkit

%if 0%{?with_python3}
%package -n     python3-qstk
Summary:        QuantSoftware Toolkit

%description -n python3-qstk
QuantSoftware Toolkit
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
sed -i -e 's!python-dateutil == 1.5!python-dateutil >= 1.5!' setup.py
# Remove yahoo data
rm -rf QSTK/QSData/Yahoo/*.csv


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'
2to3 -w %{py3dir}
%endif # with_python3


%build
%{__python} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}/%{python3_sitelib}/Bin %{buildroot}/%{python3_sitelib}/%{pypi_name}
popd
%endif # with_python3

%{__python} setup.py install --skip-build --root %{buildroot}
mv %{buildroot}/%{python_sitelib}/Bin %{buildroot}/%{python_sitelib}/%{pypi_name}

%files
%doc docs/README.md README.md LICENSE.txt
%{python_sitelib}/%{pypi_name}
%{python_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python_sitelib}/%{pypi_name}*.pth
%if 0%{?with_python3}
%files -n python3-qstk
%doc docs/README.md README.md LICENSE.txt
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}*.pth
%endif # with_python3



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.2.8-6.mga6
+ Revision: 970797
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 joequant <joequant> 0.2.8-5.mga6
+ Revision: 888401
- upgrade to python 3.5

* Wed Jan 07 2015 joequant <joequant> 0.2.8-4.mga5
+ Revision: 808953
- fix caps case

* Mon Jan 05 2015 joequant <joequant> 0.2.8-3.mga5
+ Revision: 808654
- add setuptools
- add python3

* Tue Dec 30 2014 joequant <joequant> 0.2.8-2.mga5
+ Revision: 807350
- fix dependencies

* Mon Dec 29 2014 joequant <joequant> 0.2.8-1.mga5
+ Revision: 807128
- imported package python-qstk

